<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 文字</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>文字<br/>
<small>
[<a class="el" href="group__m17nCore.html">コア API</a>]</small>
</h1>
<p>文字オブジェクトとそれに関する API.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>マクロ定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gadb36cc417b000c5f9f028992f69b5ebc">MCHAR_MAX</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字コードの最大値.  <a href="#gadb36cc417b000c5f9f028992f69b5ebc"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879">mchar_define_property</a> (const char *name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティを定義する.  <a href="#ga8c6dde5d282ae96c899f662e1dc17879"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459">mchar_get_prop</a> (int c, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティの値を得る.  <a href="#ga66ef808ae3cf10d8080d579a993c6459"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7">mchar_put_prop</a> (int c, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティの値を設定する.  <a href="#ga2dc345ba89a546f861b141a71d1609f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f">mchar_get_prop_table</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字プロパティの文字テーブルを得る.  <a href="#gaa44bd8292de2055556e05cf02cf1292f"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数: 文字プロパティのキー</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp9ab86e994a88232fa708b3f12f9eaa1e"></a> これらのシンボルは文字プロパティのキーとして使われる。 </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750">Mscript</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スクリプトを表わすキー.  <a href="#ga1efea11830fa151fad724fbdc4212750"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631">Mname</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">名前を表わすキー.  <a href="#ga4848713c0a3c225f3600e10d9ae56631"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09">Mcategory</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">一般カテゴリを表わすキー.  <a href="#gad6d719ce33cdd01171e8a3773d08af09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e">Mcombining_class</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">標準結合クラスを表わすキー.  <a href="#ga6e59888c09af64ee3b20208bf1b2de6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f">Mbidi_category</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">双方向カテゴリを表わすキー.  <a href="#ga35ac97a9caf868b146b1843d4c6db02f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64">Msimple_case_folding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">対応する小文字一文字を表わすキー.  <a href="#ga5c971245e8af385056e6730aa6446c64"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220">Mcomplicated_case_folding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">対応する小文字の列を表わすキー.  <a href="#gae5e8271f68619d95a70930c18bc48220"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97">Mcased</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Case 処理に用いられる値のキー.  <a href="#ga4df1027f7239776ec28478de769f0e97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3">Msoft_dotted</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Case 処理に用いられる値のキー.  <a href="#ga54dd86441b0b2829c6c482d509ee02c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a">Mcase_mapping</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Case 処理に用いられる値のキー.  <a href="#gabf5314e978cea3ca60461022c03d843a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b">Mblock</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スクリプトブロック名を表すキー.  <a href="#ga262e95cb77fc8470863bf2ee1fc6332b"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>文字オブジェクトとそれに関する API. </p>
<p>m17n ライブラリは <em>文字</em> を文字コード（整数）で表現する。 最小の文字コードは <code>0</code> であり、最大の文字コードはマクロ <a class="el" href="group__m17nCharacter.html#gadb36cc417b000c5f9f028992f69b5ebc" title="文字コードの最大値.">MCHAR_MAX</a> によって定義されている。<a class="el" href="group__m17nCharacter.html#gadb36cc417b000c5f9f028992f69b5ebc" title="文字コードの最大値.">MCHAR_MAX</a> は <code>0x3FFFFF（22ビット）</code> 以上であることが保証されている。</p>
<p><code>0</code> から <code>0x10FFFF</code> までの文字は、それと同じ値を持つ Unicode の文字に割り当てられている。</p>
<p>各文字は <em>文字プロパティ</em> と呼ぶプロパティを 0 個以上持つことができる。 文字プロパティは <em>キー</em> と <em>値</em> からなる。 キーはシンボルであり、値は <code>(void *)</code> 型にキャストできるものなら何でもよい。 「文字 C の文字プロパティのうちキーが K であるもの」を簡単に「文字 C の K プロパティ」と呼ぶことがある。 </p>
<hr/><h2>マクロ定義</h2>
<a class="anchor" id="gadb36cc417b000c5f9f028992f69b5ebc"></a><!-- doxytag: member="character.c::MCHAR_MAX" ref="gadb36cc417b000c5f9f028992f69b5ebc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MCHAR_MAX</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字コードの最大値. </p>
<p>マクロ <a class="el" href="group__m17nCharacter.html#gadb36cc417b000c5f9f028992f69b5ebc" title="文字コードの最大値.">MCHAR_MAX</a> は文字コードの最大値を表す。 </p>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga8c6dde5d282ae96c899f662e1dc17879"></a><!-- doxytag: member="character.c::mchar_define_property" ref="ga8c6dde5d282ae96c899f662e1dc17879" args="(const char *name, MSymbol type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mchar_define_property </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>type</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字プロパティを定義する. </p>
<p>関数 <a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879" title="文字プロパティを定義する.">mchar_define_property()</a> は、 &lt;<a class="el" href="group__m17nChartable.html#ga91e88555aace667aa53a16e5fbb4226c" title="&quot;char-table&quot; という名前を持つシンボル.">Mchar_table</a>, <b>type</b>, <b>sym</b> &gt; というタグを持ったデータベースを m17n 言語情報ベースから探す。 ここで <b>sym</b> は <b>name</b> という名前のシンボルである。<b>type</b> は<a class="el" href="group__m17nSymbol.html#ga60daf7d600a1f487862366a37c171ce5" title="&quot;string&quot; を名前として持つシンボル.">Mstring</a>, <a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd" title="&quot;mtext&quot; を名前として持つシンボル.">Mtext</a>, <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="&quot;symbol&quot; を名前として持つシンボル.">Msymbol</a>, <a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8" title="&quot;integer&quot; を名前として持つシンボル.">Minteger</a>, <a class="el" href="group__m17nPlist.html#ga933000e154873f9bfcaa56d976bd259b" title="&quot;plist&quot; を名前として持つシンボル.">Mplist</a> のいずれかでなければならない。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理に成功すれば <a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879" title="文字プロパティを定義する.">mchar_define_property()</a> は<b>sym</b> を返す。 失敗した場合は <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> を返す。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_DB</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459" title="文字プロパティの値を得る.">mchar_get_prop()</a>, <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7" title="文字プロパティの値を設定する.">mchar_put_prop()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga66ef808ae3cf10d8080d579a993c6459"></a><!-- doxytag: member="character.c::mchar_get_prop" ref="ga66ef808ae3cf10d8080d579a993c6459" args="(int c, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mchar_get_prop </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字プロパティの値を得る. </p>
<p>関数 <a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459" title="文字プロパティの値を得る.">mchar_get_prop()</a> は、文字 <b>c</b> の文字プロパティのうちキーが <b>key</b> であるものを探す。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば <a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459" title="文字プロパティの値を得る.">mchar_get_prop()</a> は見つかったプロパティの値を返す。 失敗した場合は <code>NULL</code> を返す。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_SYMBOL</code>, <code>MERROR_DB</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879" title="文字プロパティを定義する.">mchar_define_property()</a>, <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7" title="文字プロパティの値を設定する.">mchar_put_prop()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga2dc345ba89a546f861b141a71d1609f7"></a><!-- doxytag: member="character.c::mchar_put_prop" ref="ga2dc345ba89a546f861b141a71d1609f7" args="(int c, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mchar_put_prop </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字プロパティの値を設定する. </p>
<p>関数 <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7" title="文字プロパティの値を設定する.">mchar_put_prop()</a> は、文字 <b>c</b> の文字プロパティのうちキーが <b>key</b> であるものを探し、その値として <b>val</b> を設定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7" title="文字プロパティの値を設定する.">mchar_put_prop()</a> は0を返す。失敗した場合は-1を返す。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_SYMBOL</code>, <code>MERROR_DB</code> </dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879" title="文字プロパティを定義する.">mchar_define_property()</a>, <a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459" title="文字プロパティの値を得る.">mchar_get_prop()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa44bd8292de2055556e05cf02cf1292f"></a><!-- doxytag: member="character.c::mchar_get_prop_table" ref="gaa44bd8292de2055556e05cf02cf1292f" args="(MSymbol key, MSymbol *type)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a>* mchar_get_prop_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *&nbsp;</td>
          <td class="paramname"> <em>type</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字プロパティの文字テーブルを得る. </p>
<p>関数 <a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f" title="文字プロパティの文字テーブルを得る.">mchar_get_prop_table()</a> は、キーが <b>key</b> である文字プロパティ を含む文字テーブルを返す。もし <b>type</b> が NULL でなければ、 <b>type</b> で 指される場所にその文字のプロパティを格納する。文字プロパティの種類 に関しては <a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879" title="文字プロパティを定義する.">mchar_define_property()</a> を見よ。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>もし <b>key</b> が正当な文字プロパティのキーであれば、文字テーブルが返さ れる。そうでない場合は NULL が返される。 </dd></dl>

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="ga1efea11830fa151fad724fbdc4212750"></a><!-- doxytag: member="character.c::Mscript" ref="ga1efea11830fa151fad724fbdc4212750" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750">Mscript</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>スクリプトを表わすキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga1efea11830fa151fad724fbdc4212750" title="スクリプトを表わすキー.">Mscript</a> は <code>"script"</code> という名前を持ち、文字プロパティのキーとして使われる。 このプロパティの値は、この文字の属するスクリプトを表わすシンボルである。</p>
<p>スクリプトを表わすシンボルの名前は、<em>Unicode Technical Report #24</em> にリストされているもののいずれかである。 </p>

</div>
</div>
<a class="anchor" id="ga4848713c0a3c225f3600e10d9ae56631"></a><!-- doxytag: member="character.c::Mname" ref="ga4848713c0a3c225f3600e10d9ae56631" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631">Mname</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>名前を表わすキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631" title="名前を表わすキー.">Mname</a> は <code>"name"</code> という名前を持ち、文字プロパティのキーとして使われる。 このプロパティの値はその文字の名前を表わす C の文字列である。 </p>

</div>
</div>
<a class="anchor" id="gad6d719ce33cdd01171e8a3773d08af09"></a><!-- doxytag: member="character.c::Mcategory" ref="gad6d719ce33cdd01171e8a3773d08af09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09">Mcategory</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>一般カテゴリを表わすキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09" title="一般カテゴリを表わすキー.">Mcategory</a> は <code>"category"</code> という名前を持ち、文字プロパティのキーとして使われる。 このプロパティの値は、対応する <em>一般カテゴリ</em> を表わすシンボルである。</p>
<p>一般カテゴリを表わすシンボルの名前は、<em>General Category</em> の省略形として Unicode に定義されているものである。 </p>

</div>
</div>
<a class="anchor" id="ga6e59888c09af64ee3b20208bf1b2de6e"></a><!-- doxytag: member="character.c::Mcombining_class" ref="ga6e59888c09af64ee3b20208bf1b2de6e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e">Mcombining_class</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>標準結合クラスを表わすキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e" title="標準結合クラスを表わすキー.">Mcombining_class</a> は <code>"combining-class"</code> という名前を持ち、文字プロパティのキーとして使われる。 このプロパティの値は、対応する <em>標準結合クラス</em> を表わす整数である。</p>
<p>標準結合クラスを表わす整数の意味は、Unicode に定義されているものと同じである。 </p>

</div>
</div>
<a class="anchor" id="ga35ac97a9caf868b146b1843d4c6db02f"></a><!-- doxytag: member="character.c::Mbidi_category" ref="ga35ac97a9caf868b146b1843d4c6db02f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f">Mbidi_category</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>双方向カテゴリを表わすキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga35ac97a9caf868b146b1843d4c6db02f" title="双方向カテゴリを表わすキー.">Mbidi_category</a> は <code>"bidi-category"</code> という名前を持ち、文字プロパティのキーとして使われる。 このプロパティの値は、対応する <em>双方向カテゴリ</em> を表わすシンボルである。</p>
<p>双方向カテゴリを表わすシンボルの名前は、<em>Bidirectional Category</em> の型として Unicode に定義されているものである。 </p>

</div>
</div>
<a class="anchor" id="ga5c971245e8af385056e6730aa6446c64"></a><!-- doxytag: member="character.c::Msimple_case_folding" ref="ga5c971245e8af385056e6730aa6446c64" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64">Msimple_case_folding</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>対応する小文字一文字を表わすキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga5c971245e8af385056e6730aa6446c64" title="対応する小文字一文字を表わすキー.">Msimple_case_folding</a> は <code>"simple-case-folding"</code> という名前を持ち、文字プロパティのキーとして使われる。 このプロパティの値は、対応する小文字一文字であり、大文字／小文字の区別を無視した文字列比較の際に使われる。</p>
<p>複雑な比較方法を必要とする文字であった場合 （別の一文字と対応付けることによって比較できない場合）、このプロパティの値は <code>0xFFFF</code> になる。この場合その文字は、<a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220" title="対応する小文字の列を表わすキー.">Mcomplicated_case_folding</a> というキーの文字プロパティを持つ。 </p>

</div>
</div>
<a class="anchor" id="gae5e8271f68619d95a70930c18bc48220"></a><!-- doxytag: member="character.c::Mcomplicated_case_folding" ref="gae5e8271f68619d95a70930c18bc48220" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220">Mcomplicated_case_folding</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>対応する小文字の列を表わすキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220" title="対応する小文字の列を表わすキー.">Mcomplicated_case_folding</a> は <code>"complicated-case-folding"</code> という名前を持ち、文字プロパティのキーとして使われる。 このプロパティの値は、対応する小文字列からなる M-text であり、大文字／小文字の区別を無視した文字列比較の際に使 われる。 </p>

</div>
</div>
<a class="anchor" id="ga4df1027f7239776ec28478de769f0e97"></a><!-- doxytag: member="character.c::Mcased" ref="ga4df1027f7239776ec28478de769f0e97" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97">Mcased</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Case 処理に用いられる値のキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97" title="Case 処理に用いられる値のキー.">Mcased</a> は、<code>"cased"</code> という名前を持ち、文字プロパ ティのキーとして使われる。このプロパティの値は整数値 1, 2, 3 のいず れかであり、それぞれ "cased", "case-ignorable", その両方を意味する。 詳細については、the Unicode Standard 5.0 (Section 3.13 Default Case Algorithm) 参照。 </p>

</div>
</div>
<a class="anchor" id="ga54dd86441b0b2829c6c482d509ee02c3"></a><!-- doxytag: member="character.c::Msoft_dotted" ref="ga54dd86441b0b2829c6c482d509ee02c3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3">Msoft_dotted</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Case 処理に用いられる値のキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga54dd86441b0b2829c6c482d509ee02c3" title="Case 処理に用いられる値のキー.">Msoft_dotted</a> は、<code>"soft-dotted"</code> という名前を持ち、 文字プロパティのキーとして使われる。このプロパティの値は、文字が "Soft_Dotted"プロパティを持つ場合には <a class="el" href="group__m17nSymbol.html#ga8769a573efbb023b4d77f9d03babc09f" title="&quot;t&quot; を名前として持つシンボル.">Mt</a>, そうでなければ <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> で ある。 詳細については、the Unicode Standard 5.0 (Section 3.13 Default Case Algorithm) 参照。 </p>

</div>
</div>
<a class="anchor" id="gabf5314e978cea3ca60461022c03d843a"></a><!-- doxytag: member="character.c::Mcase_mapping" ref="gabf5314e978cea3ca60461022c03d843a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a">Mcase_mapping</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Case 処理に用いられる値のキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a" title="Case 処理に用いられる値のキー.">Mcase_mapping</a> は、<code>"case-mapping"</code> という名前をも ち、文字プロパティのキーとして使われる。このプロパティの値は、３つ の M-text、すなわちその文字の lower, title, と upperからなる plist である。 詳細については、the Unicode Standard 5.0 (Section 3.13 Default Case Algorithm) 参照。 </p>

</div>
</div>
<a class="anchor" id="ga262e95cb77fc8470863bf2ee1fc6332b"></a><!-- doxytag: member="character.c::Mblock" ref="ga262e95cb77fc8470863bf2ee1fc6332b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b">Mblock</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>スクリプトブロック名を表すキー. </p>
<p>シンボル <a class="el" href="group__m17nCharacter.html#ga262e95cb77fc8470863bf2ee1fc6332b" title="スクリプトブロック名を表すキー.">Mblock</a> は、<code>"block"</code> という名前をもち、文字プロパ ティのキーとして使われる。このプロパティの値は、その文字のスクリプ トブロック名を表すシンボルである。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
